Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(393)

Issue 9270031: Enable V2 authentication for Me2Me host. (Closed)

Created:
8 years, 8 months ago by Sergey Ulanov
Modified:
8 years, 8 months ago
Reviewers:
Wez
CC:
chromium-reviews, jamiewalch+watch_chromium.org, hclam+watch_chromium.org, simonmorris+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, pam+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Enable V2 authentication for Me2Me host. Updated both Me2me host and simple host to accept spake2_hmac auth. They still accept V1 authentication. Also the corresponding scripts are updated to ask for PIN BUG=107777 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=118860

Patch Set 1 : - #

Patch Set 2 : - #

Patch Set 3 : - #

Total comments: 20

Patch Set 4 : - #

Unified diffs Side-by-side diffs Delta from patch set Stats (+161 lines, -65 lines) Patch
M remoting/host/host_config.h View 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/host_config.cc View 2 chunks +2 lines, -1 line 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 3 6 chunks +22 lines, -13 lines 0 comments Download
M remoting/host/simple_host_process.cc View 1 2 3 3 chunks +13 lines, -4 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 1 2 3 3 chunks +18 lines, -5 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 2 3 3 chunks +31 lines, -12 lines 0 comments Download
M remoting/tools/me2me_virtual_host.py View 1 2 3 6 chunks +34 lines, -11 lines 0 comments Download
M remoting/tools/register_host.py View 1 2 3 4 chunks +38 lines, -18 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
Sergey Ulanov
8 years, 8 months ago (2012-01-21 00:31:15 UTC) #1
Sergey Ulanov
Updated the scripts to allow empty PINs.
8 years, 8 months ago (2012-01-23 20:26:52 UTC) #2
Wez
http://codereview.chromium.org/9270031/diff/6001/remoting/host/remoting_me2me_host.cc File remoting/host/remoting_me2me_host.cc (right): http://codereview.chromium.org/9270031/diff/6001/remoting/host/remoting_me2me_host.cc#newcode41 remoting/host/remoting_me2me_host.cc:41: using remoting::protocol::SharedSecretHash; nit: Do you really need this? protocol::SharedSecretHash ...
8 years, 8 months ago (2012-01-23 23:53:49 UTC) #3
Wez
lgtm
8 years, 8 months ago (2012-01-23 23:54:07 UTC) #4
Sergey Ulanov
http://codereview.chromium.org/9270031/diff/6001/remoting/host/remoting_me2me_host.cc File remoting/host/remoting_me2me_host.cc (right): http://codereview.chromium.org/9270031/diff/6001/remoting/host/remoting_me2me_host.cc#newcode41 remoting/host/remoting_me2me_host.cc:41: using remoting::protocol::SharedSecretHash; On 2012/01/23 23:53:49, Wez wrote: > nit: ...
8 years, 8 months ago (2012-01-24 06:32:21 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/9270031/10004
8 years, 8 months ago (2012-01-24 16:43:38 UTC) #6
commit-bot: I haz the power
8 years, 8 months ago (2012-01-24 18:24:27 UTC) #7
Change committed as 118860

Powered by Google App Engine
This is Rietveld 408576698